MALOC 0.1

Functions
psh.h File Reference
Vsh class

Header file for a simple parallel extension of ALOC's VSH. More...

`#include <maloc/maloc_base.h>`
`#include <maloc/vsys.h>`
`#include <maloc/vsh.h>`
`#include <maloc/vmp.h>`
Include dependency graph for psh.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions
int | Vsh_pshell (Vsh *thee, char *pPR, void *pthee, int(*builtin)(void *thee, int argc, char **argv))
| Drop-in replacement for Vsh_shell giving parallel extensions.

## Detailed Description

Header file for a simple parallel extension of ALOC's VSH.

Author
  Michael Holst

Note
  None

Version

Id
  psh.h,v 1.28 2010/08/12 05:40:23 fetk Exp

Attention

      *
      * MALOC = < Minimal Abstraction Layer for Object-oriented C >
      * Copyright (C) 1994-- Michael Holst
      *
      * This library is free software; you can redistribute it and/or
      * modify it under the terms of the GNU Lesser General Public
      * License as published by the Free Software Foundation; either
      * version 2.1 of the License, or (at your option) any later version.
      *
      * This library is distributed in the hope that it will be useful,
      * but WITHOUT ANY WARRANTY; without even the implied warranty of
      * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
      * Lesser General Public License for more details.
      *
      * You should have received a copy of the GNU Lesser General Public
      * License along with this library; if not, write to the Free Software
      * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
      *
      *